package goap

type FedibirdQuoteUriData struct {
	FullValueType[string]
}

func (f *FedibirdQuoteUriData) GetSelfOrBase() (BaseApChain, bool) {
	return f.Next, true
}

func (f *FedibirdQuoteUriData) MarshalToMap() map[string]any {
	return f.MarshalToMapWithName(KEY_FEDIBIRD_QUOTEURI)
}

func ParseFedibirdQuoteUriData(raw map[string]any, next BaseApChain) (BaseApChain, error) {
	v, err := ParseValueTypeWithName[string](raw, next, KEY_FEDIBIRD_QUOTEURI)
	if err != nil {
		return nil, err
	}
	return &FedibirdQuoteUriData{*v}, nil
}
